<!DOCTYPE html>
<html>
    <head>
        <title>XRP-COP</title>
        <link rel="stylesheet" href="CSS/bootstrap.min.css">
        <link rel="stylesheet" href="CSS/main.css">
        <link rel="icon" type="image/ico" href="images/ripple-icon.png">
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="index.html">XRP-COP</a>
            <a href="create_address.html" class="nav-item">Create Address</a>
            <a href="create_payment.html" class="nav-item">Create Payment</a>
            <span style="min-width: 200px;"></span>
            <a href="https://xrpl.org/get-started-with-rippleapi-for-javascript.html" class="nav-item navdar-text float-right" target="_blank">RippleAPI for JavaScript</a>
            <a href="https://getbootstrap.com/docs/4.3" class="nav-item navdar-text float-right" target="_blank">Bootstrap</a>
        </nav>

        <div>
            <span style="float: right; border: 10px 20px; position: fixed; right: 20px; top: 10px">
                <button class="btn btn-sm btn-secondary" id="TestNetButton">TestNet</button>
                &nbsp;<button class="btn btn-sm btn-primary" id="MainNetButton">MainNet</spbuttonan>
            </span>
        </div>

        <h1 class="page-title">Check Address</h1>

        <div class="container" style="margin-top: 25px;">  
            <div class="row">
                <div class="col-md-8">
                    <div class="form-group">
                        <label>Address</label>
                        <input type="text" id="address" class="form-control" placeholder="XRP address">                    
                    </div>                        
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <label>XRP Ledger </label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text">  
                                    <input type="checkbox" id="customNetCheck">
                                </div>
                            </div>                         
                            <input type="text" id="customNet" class="form-control" placeholder="XRP address" value="https://rippled-dev.xrpayments.co">                    
                        </div>
                    </div>                         
                </div>
            </div>     

            <div id="error" style="display: none; margin-bottom: 15px;" class="alert alert-danger"></div>
            <button type="submit" id="submitButton" class="btn btn-primary">Submit</button>  
        </div>

        <div class="container" id="resultContainer" style="margin-top: 3%;">
            <table class="table table-sm">
                <tr>
                    <th>Address</th><td id="tdAddress"></td>
                </tr>
                <tr>
                    <th>XRP</th><td id="tdXrp"></td>
                </tr>
                <tr>
                    <th>Sequence</th><td id="tdSequence"></td>
                </tr>
                <tr>
                    <th>Owner Count</th><td id="tdOwnerCount"></td>
                </tr>
                <tr>
                    <th>previousInitiatedTransactionID</th><td id="tdPreviousInitiatedTransactionID"></td>
                </tr>
                <tr>
                    <th>previousAffectingTransactionID</th><td id="tdPreviousAffectingTransactionID"></td>
                </tr>
                <tr>
                    <th>previousAffectingTransactionLedgerVersion</th><td id="tdPreviousAffectingTransactionLedgerVersion"></td>
                </tr>
            </table>
        </div>

        <script src="JS/libs/lodash.min.js"></script>
        <script src="JS/libs/jquery-3.4.1.min.js"></script>
        <!-- copied from node_modules/ruipple-lib/build -->
        <script src="JS/libs/ripple-1.3.4-min.js"></script>
        <script src="JS/main.js"></script>
        <script src="JS/check_address.js"></script>
    </body>
</html>